#
# spec file for package phpPgAdmin (Version 4.0.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl apache2 apache2-prefork attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libapr-util1 libapr1 libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           phpPgAdmin
Summary:        phpPgAdmin is a web-based administration tool for PostgreSQL
BuildRequires:  apache2
Version:        4.0.1
Release:        61.1
License:        GPL v2 or later
Group:          Productivity/Databases/Tools
Requires:       php5-pgsql apache2-mod_php5
Url:            http://phppgadmin.sourceforge.net
Source0:        %{name}-%{version}.tar.bz2
Patch1:         XSS_Vul.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
phpPgAdmin is a web-based administration tool for PostgreSQL. It is
perfect for PostgreSQL DBAs, newbies and hosting services.

Currently it can:

- Administer multiple servers

- Support for PostgreSQL 7.0.x, 7.1.x, 7.2.x, 7.3.x, 7.4.x, 8.0.x
   and 8.1.x

- Manage all aspects (Users, Groups, Databases, Schemas, Tables,
   Views, Reports)

- Easy data manipulation (browse tables, views, reports; Select,
   insert, update and delete; execute SQL statements)

- Dump table data in a variety of formats

- Import SQL scripts, COPY data, XML, CSV and Tabbed

- Available in 26 languages



Authors:
--------
    Dan Wilson
    Robert Treat
    Christopher Kings-Lynne

%debug_package
%prep
%setup -q
%patch1 -p0

%build

%install
mkdir -p %buildroot/srv/www/htdocs/%{name}
cp -a * %buildroot/srv/www/htdocs/%{name}/
rm -f %buildroot/srv/www/htdocs/%{name}/lang/php2po
rm -f %buildroot/srv/www/htdocs/%{name}/lang/po2php

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc CREDITS DEVELOPERS INSTALL TODO TRANSLATORS
/srv/www/htdocs/%{name}
%exclude /srv/www/htdocs/%{name}/conf/config.inc.php
%config(noreplace) /srv/www/htdocs/%{name}/conf/config.inc.php
%changelog
* Mon Nov 12 2007 - tpatzig@suse.de
- backport XSS vulnerability fixes for 4.0.1 (#291367,#339080)
* Wed Oct 18 2006 - tpatzig@suse.de
- initial build of phpPgAdmin Version 4.0.1
